<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2014 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Ext-Joom.com
# Websites:  http://www.ext-joom.com 
# Date modified: 27/11/2013 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;

$ext_height_block = $ext_height + 40+40; // +40 = border-width: 20px 20px; +40 ext_elasticstack_content

$document->addCustomTag('
<style type="text/css">
.mod_ext_elasticstack_images .elasticstack {
	width: '.$ext_width.'px;
	height: '.$ext_height_block.'px;
}
.mod_ext_elasticstack_images .elasticstack li {
	width: '.$ext_width.'px;
}
</style>');

?>


<div class="mod_ext_elasticstack_images <?php echo $moduleclass_sfx ?>">	
	<ul id="elasticstack<?php echo $ext_id; ?>" class="elasticstack">	
		<?php	
		for($n=0;$n < count($img);$n++) {			
			//
			if( $img[$n] != '') {
				//
				if ( trim($url[$n]) == '' ) {	
					// 
					if ($html[$n] == '') {
						echo '<li><img src="'.$img[$n].'" alt="'.trim($alt[$n]).'" width="'.$ext_width.'px" height="'.$ext_height.'px"  /></li>';
					} else {
							echo '<li><img src="'.$img[$n].'" alt="'.trim($alt[$n]).'" width="'.$ext_width.'px" height="'.$ext_height.'px"  /><div class="ext_elasticstack_content">'.$html[$n].'</div></li>';
						}
						
				} else {
						// 
						if ($html[$n] == '') { 
							echo '<li><a href="'.trim($url[$n]).'" target="'.$target[$n].'"><img src="'.$img[$n].'" alt="'.trim($alt[$n]).'" width="'.$ext_width.'px" height="'.$ext_height.'px" /></a></li>';
						} else {
								echo '<li><a href="'.trim($url[$n]).'" target="'.$target[$n].'"><img src="'.$img[$n].'" alt="'.trim($alt[$n]).'" width="'.$ext_width.'px" height="'.$ext_height.'px" /></a><div class="ext_elasticstack_content">'.$html[$n].'</div></li>';
							} 
							
					}
			
			}
		}	
		?>
	</ul>	
	<div style="clear:both;"></div>
</div>


<script type="text/javascript">	
	new ElastiStack( document.getElementById( 'elasticstack<?php echo $ext_id; ?>' ), {
	    // distDragBack: if the user stops dragging the image in a area that does not exceed [distDragBack]px 
	    // for either x or y then the image goes back to the stack 
	    distDragBack : <?php echo $distDragMax; ?>,
	    // distDragMax: if the user drags the image in a area that exceeds [distDragMax]px 
	    // for either x or y then the image moves away from the stack 
	    distDragMax : <?php echo $distDragMax; ?>,
	    // callback
	    onUpdateStack : function( current ) { return false; }
	});	
</script>
